<label class="ct-label">
  Search
  <form>
    <div class="input-group no-border">
      <input id="searchInput" class="form-control" #searchInput type="search"
             (keydown.esc)="searchInput.value=''; onSearchChange()" (keydown.enter)="onSearchChange()"
             (keyup)="onValueChange()" [placeholder]="placeholder"
             style="padding-right:35px;">

      <div class="input-group-append">
        <div class="input-group-text"><i class="nc-icon fa fas fa-search-plus"></i></div>
      </div>
    </div>
  </form>
</label>
<!--    <button class="btn btn-outline-primary" *ngIf="searchInput.value" aria-label="Clear" (click)="searchInput.value=''; onSearchChange()">-->
<!--      <i class="fas fa fa-cross"></i>-->
<!--    </button>-->
<!--    -->
<!--    <mat-autocomplete #auto="matAutocomplete">-->
<!--      <mat-option *ngFor="let option of suggestions" [value]="option">{{option}}</mat-option>-->
<!--    </mat-autocomplete>-->
